<?php
/**
 * Clase ContTipoColaboradorRoler para TipoColaboradorRol
 *
 * @package    IM
 * @subpackage TipoColaboradorRolCT
 * @author     Willy
 * @version    SVN: $Id: TipoColaboradorRolCT.class.php,v 1.1 2008/02/07 17:43:21 william.taype Exp $ 
 */
class TipoColaboradorRolCT implements interfaceCT{
  /**
  * Función para Guardar el  TipoColaboradorRol
  *
  * @param $o_TipoColaboradorRolBean, objeto bean de TipoColaboradorRol
  * @return booleam
  */
  public function guardar(&$o_TipoColaboradorRolBean){ 
    $o_TipoColaboradorRolDP = new TipoColaboradorRolDP($o_TipoColaboradorRolBean);
    return $o_TipoColaboradorRolDP->save(); 
  }
  
  /**
  * Función para Modificar el  TipoColaboradorRol
  *
  * @param $o_TipoColaboradorRolBean, objeto bean de TipoColaboradorRol
  * @return booleam
  */
  public function modificar(&$o_TipoColaboradorRolBean){
    $o_TipoColaboradorRolDP = new TipoColaboradorRolDP($o_TipoColaboradorRolBean);
    return $o_TipoColaboradorRolDP->update();
  }
  
  /**
  * Función para Eliminar el  TipoColaboradorRol
  *
  * @param $o_TipoColaboradorRolBean, objeto bean de TipoColaboradorRol
  * @return booleam
  */
  public function eliminar($o_TipoColaboradorRolBean){ 
   $o_TipoColaboradorRolDP = new TipoColaboradorRolDP($o_TipoColaboradorRolBean);
    return $o_TipoColaboradorRolDP->delete();
  }
  
  /**
  * Función para Seleccionar el  TipoColaboradorRol
  *
  * @param $o_TipoColaboradorRolBeans, objeto bean de TipoColaboradorRol
  * @return booleam
  */
  public function seleccionar($o_TipoColaboradorRolBean){
  
    $o_TipoColaboradorRolDP = new TipoColaboradorRolDP($o_TipoColaboradorRolBean);        
    if($o_TipoColaboradorRolBean->getTipoColaboradorRolId()){
      return $o_TipoColaboradorRolDP->selectByPk();
    }else{
      return $o_TipoColaboradorRolDP->select();
    }
      
  }
  
}